Status: Resolved Priority: Must have
Author: Adrian Föder Category: Cli
Created: 2012-06-13 Assigned To: Adrian Föder
Updated: 2012-06-20 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: Exceptions in CommandController environment are not logged
Description

If an exception occurs during a CommandController invokation, the exception isn't logged like users are used to (in
Logs/Exeptions/{referencecode}.txt).
That's because the CommandRequestHandler trys/catches/handles any occuring exception on its own and not via the exception
handler framework.

Associated revisions
Revision f0eaa57a - 2012-06-18 14:28 - Adrian Föder

[BUGFIX] Use exception handling framework for CommandController

The CommandRequestHandler brought its own tiny exception handling
with the main drawback exceptions not being logged anymore, unlike
the Error\AbstractExceptionHandler features.

When handling a CommandRequest, a dedicated CommandExceptionHandler
is involved, taking care of occuring exceptions.

Change-Id: Ibc05c3e88f5f915f4b96a8886d92b8042fc34a58
Fixes: #37995
Releases: 1.1, 1.2

Revision a54ebdb9 - 2012-06-18 14:35 - Adrian Föder

[BUGFIX] Use exception handling framework for CommandController

The CommandRequestHandler brought its own tiny exception handling
with the main drawback exceptions not being logged anymore, unlike
the Error\AbstractExceptionHandler features.

When handling a CommandRequest, a dedicated CommandExceptionHandler
is involved, taking care of occuring exceptions.

Change-Id: Ibc05c3e88f5f915f4b96a8886d92b8042fc34a58
Fixes: #37995
Releases: 1.1, 1.2
History
#1 - 2012-06-13 11:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12019

#2 - 2012-06-13 12:00 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12019

#3 - 2012-06-13 13:22 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12019

#4 - 2012-06-15 10:34 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12019

#5 - 2012-06-15 10:38 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12019

#6 - 2012-06-18 14:28 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12019

#7 - 2012-06-18 14:35 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12161

#8 - 2012-06-18 14:38 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f0eaa57a8de45a941fefaadfc2cd9a44a9d4cbd5.
#9 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
